QGIS Application - Bug report #4399
Browser does not allow to tell which layer format to load
2011-10-18 03:34 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 14331
Description

In current trunk, layers are displayed without the file extension, and the user has no way to tell which format the file is. As a result, if one
has >1 layer with the same name and different format, (s)he does not know which one has to be loaded

History

#1 - 2011-10-18 06:05 AM - Martin Dobias

Would it be sufficient to show the extension (or the complete file name) as a tooltip? Originally we have been showing extensions, but later | have removed

them since | consider that a corner case that someone has various layers with the same base name, only with different extensions. The list without

extensions look much clearer to me than it was with extensions.

#2 - 2011-10-18 07:40 AM - Paolo Cavallini

I think this solution is optimal, as it follows the behaviour of the legend.

#3 - 2011-10-18 08:49 AM - Thaddeus -
Using Tooltips is not a viable option for medium to large size projects, it's only good for one or two layers and occasional use. To figure out what file is
associated to a layer name, | always prefer to doubleclick on the layer name and use the tab "Layer Properties" => "General" and rely on the good behavior
of such window: always pop up on the same spot and preserves the last tab setting.
Here is an idea, might notbe a ..., but ... well .. anyway ..., here it goes: add an advanced-user setting option --say, new/existing plain ini/text file or
Text-box widget somewhere or about:config type of thing, etc-- whereby, rather cryptic settings, can be entered: such as, IncludeExtOnLayerNm=1.
Eventually, the clamour of the users can make those options gain a place on the GUI.
#4 - 2011-10-18 12:41 PM - Martin Dobias
Thaddeus - wrote:

Here is an idea, might not be a ..., but ... well .. anyway ..., here it goes: add an advanced-user setting option --say, new/existing plain ini/text file or

Text-box widget somewhere or about:config type of thing, etc-- whereby, rather cryptic settings, can be entered: such as, IncludeExtOnLayerNm=1.
Eventually, the clamour of the users can make those options gain a place on the GUI.

In future we may add such advanced settings. Even now the options dialog lists way too many options, so moving them away to a common place where
super-power-users could further customize QGIS seems like a good idea. By these | mean settings like cache size, network reply timeout, render caching,

2025-04-28 12




"fix problems with incorrectly filled polygons”, overlay placement method etc.

#5 - 2011-10-19 05:50 AM - Martin Dobias

Tooltips added in commit:c3f6dff9

#6 - 2011-10-19 05:51 AM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed
